{% include('sysma-object/sysmaObjectBackButton.twig') %}

<h2>Correction de la fiche relation {{RL.sysma_relation_id}} {{RL.sysma_relation}}</h2>

<p>Attention les données seront corrigées, les anciennes données seront écrasées.</p>
{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formRelation{{ RL.id }}" action='#' >

    <div class='form-group'>
        <label>Nom de la fiche relation</label>
        <input name="sysma_relation" value="{{RL.sysma_relation|raw}}" class="form-control"/>        
    </div>



    <div class='form-group'>
        <label>Date de début</label>
        <input name="start_date" id="start_date" value="{{RL.start_date}}" class="form-control" onkeyup="checkDate('start_date', 'start_dateComment', 'boutonCreerTravaux', 'end_date');" required="required" />
        <div id="start_dateComment"></div>
    </div>

    <div class='form-group'>
        <label>Date de fin</label>
        <input name="end_date" id="end_date" value="{{RL.end_date}}" class="form-control" onkeyup="checkDateEndOK('end_date', 'end_dateComment', 'boutonCreerTravaux', 'start_date');" required="required" />
        <div id="end_dateComment"></div>

    </div>  





    <div class='form-group'>
        <label>Contrat(s)</label>


        {% for C in RL.tabcontracts %}
            <div class="chekcbox">            
                <label>
                    <input type="checkbox" name="contract{{ C.id }}" value="1"  {% if RL.tabcontractsVal[C.contract] == true %} checked="checked" {% endif %} > {{ C.contract }}
                </label>
            </div>
        {% endfor %}


    </div>


    <div class='form-group'>
        <label>Statut</label>
        <select  name="status" class="form-control">
            {% for S in tabStatuts %}            
                <option value="{{S.status_value}}"
                        {% if RL.Status.status_value == S.status_value %} selected {% endif %}   
                        >
                    {{S.status}}</option>
                {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Structure</label>
        <select  name="organisation_id" class="form-control">
            {% for S in taborganisation %}            
                <option value="{{S.organisation_id}}"
                        {% if RL.organisation_id == S.organisation_id %} selected {% endif %}   
                        >
                    {{S.organisation|raw}}</option>
                {% endfor %}
        </select>
    </div>

    <button  id="boutonModifierRelation"  class="btn btn-primary" 
             onclick="sendFormAndRedirectAndMove('formRelation{{ RL.id }}', '{{url('relation-modify-update-commit')}}', 'id={{sysma_object_id}}&sysma_relation_id={{ RL.id}}', '{{url('object')}}', 'objet', event, 'blocInfosRelation{{RL.id}}');">
        Corriger</button>
    
    <input type="hidden" value="{{RL.sysma_relation_id}}" name="sysma_relation_id" />
    <input type="hidden" value="{{sysma_object_id}}" name="sysma_object_id" />



</form>



<h2 class='text-danger'>Suppression de la fiche relation</h2>

{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formSupprRelation{{ RL.id }}" action='#'>
    <button id="boutonSupprimerRelation" class="btn btn-danger"
            onclick="if (!confirm('Voulez-vous supprimer cette fiche relation ? Les données et les liens seront supprimés.'))
                        return false;
                    sendFormAndRedirect('formSupprRelation{{ RL.id }}', '{{ url('relation-delete') }}', 'id={{ sysma_object_id }}', '{{ url('object') }}', 'objet', event);">
        Supprimer</button>

    <input type="hidden" value="{{RL.sysma_relation_id}}" name="sysma_relation_id" />
    <input type="hidden" value="{{sysma_object_id}}" name="sysma_object_id" />



</form>

